# This example uses Ansible to configure firewalld to set up a node-local firewall suitable as recommended for use as an OpenShift 4 worker.
# However, this is intended to generalize to using Ansible as well as firewalld for generic tasks.
FROM quay.io/centos-bootc/centos-bootc:stream9

ADD configure-firewall-playbook.yml .

# Install firewalld; also install ansible, use it to run a playbook, then remove it
# so it doesn't take up space persistently.
# TODO: Need to also remove ansible-installed dependencies
RUN dnf -y install dnf-utils && \
    dnf config-manager --set-enabled crb && dnf -y install epel-release epel-next-release && \
    dnf -y install firewalld ansible && \
    ansible-playbook configure-firewall-playbook.yml && \
    dnf -y remove ansible && dnf clean all
